#!/bin/bash

#########################################
#	GRAS v.3.3 Installscript	#
#		28.02.2017		#
#					#
# gras-03-03-r1561.tgz has to be in the #
# same path as  this script.		#
#					#
# Visit the 'GEANT4'-page on the wiki   #
# for further informations!             #
#					#
#########################################


printf "=== untar gras-03-03-r1561.tgz \n"
tar -xf gras-03-03-r1561.tgz
printf "=== creating build dir \n"
cd gras-03-03
mkdir build
cd build
printf "=== loading Geant4/9.6.p04 + CMake \n"
module load Geant4/9.6.p04
module load CMake
printf "=== installing gras-03-03 in \"$HOME/gras-03-03\"\n"
printf "=== CMake \n"
cmake -DWITH_ROOT="OFF" -DWITH_AIDA="OFF" -DGRAS_INSTALL_PREFIX=$HOME/gras-03-03 -DXERCESC_LIBRARY=$XERCESC/lib -DXERCESC_INCLUDE_DIR=$XERCESC/include -DCMAKE_C_COMPILER=icc -DCMAKE_CXX_COMPILER=icpc ..
printf "=== make + install \n" 
make -s 
make install 
printf "=== Installation complete! \n"

